using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PhilExample.Interfaces
{
    internal interface IRESTAccess
    {
        Task<T> GetAsync<T>(string url);
        Task<T> PostAsync<T>(string url);
        Task<T> PostAsync<T>(string url, object postData);
        Task<bool> DeleteAsync(string url);
    }
}
